<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" tests="3" skipped="0" failures="0" errors="0" timestamp="2026-07-04T04:23:37.302Z" hostname="devserver3.ustadmobile.com" time="8.13">
  <properties/>
  <testcase name="givenOpdsFeed_whenLoadOpdsFeed_thenFlowWillLoadIt[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="3.955"/>
  <testcase name="givenOpdsFeedLoaded_whenLoadedAgain_thenDataIsLoadedAndNetworkResponseIsNotModified[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.097"/>
  <testcase name="givenOpdsPublication_whenLoadedThenWillEmitFlow[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.078"/>
  <system-out><![CDATA[port = 34395
08:23:37,385 |-INFO in ch.qos.logback.classic.LoggerContext[default] - This is logback-classic version 1.5.18
08:23:37,386 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - No custom configurators were discovered as a service.
08:23:37,387 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Trying to configure with ch.qos.logback.classic.joran.SerializedModelConfigurator
08:23:37,387 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Constructed configurator of type class ch.qos.logback.classic.joran.SerializedModelConfigurator
08:23:37,392 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.scmo]
08:23:37,394 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.scmo]
08:23:37,404 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - ch.qos.logback.classic.joran.SerializedModelConfigurator.configure() call lasted 7 milliseconds. ExecutionStatus=INVOKE_NEXT_IF_ANY
08:23:37,404 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Trying to configure with ch.qos.logback.classic.util.DefaultJoranConfigurator
08:23:37,405 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Constructed configurator of type class ch.qos.logback.classic.util.DefaultJoranConfigurator
08:23:37,407 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
08:23:37,412 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [jar:file:/home/jenkins/.jenkins/workspace/maestro-dp-upload/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml]
08:23:37,412 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@294a6b8e - Resource [logback.xml] occurs multiple times on the classpath.
08:23:37,413 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@294a6b8e - Resource [logback.xml] occurs at [jar:file:/home/jenkins/.jenkins/workspace/maestro-dp-upload/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml]
08:23:37,413 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@294a6b8e - Resource [logback.xml] occurs at [file:/home/jenkins/.jenkins/workspace/maestro-dp-upload/respect-datalayer-repository/build/processedResources/jvm/test/logback.xml]
08:23:37,418 |-INFO in ConfigurationWatchList(mainURL=jar:file:/home/jenkins/.jenkins/workspace/maestro-dp-upload/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml, fileWatchList={}, urlWatchList=[}) - URL [jar:file:/home/jenkins/.jenkins/workspace/maestro-dp-upload/respect-server/build/libs/respect-server-1.0.33.jar!/logback.xml] is not of type file
08:23:37,497 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@db57326 - value "./log/" substituted for "${logs_dir:-./log/}"
08:23:37,498 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - Processing appender named [FILE]
08:23:37,499 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - About to instantiate appender of type [ch.qos.logback.core.rolling.RollingFileAppender]
08:23:37,508 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@db57326 - value "./log//respect-server.log" substituted for "${LOG_DIR}/respect-server.log"
08:23:37,510 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@db57326 - value "./log//respect-server.%d{yyyy-MM-dd}.%i.log" substituted for "${LOG_DIR}/respect-server.%d{yyyy-MM-dd}.%i.log"
08:23:37,522 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@883455411 - No compression will be used
08:23:37,535 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@883455411 - Will use the pattern ./log//respect-server.%d{yyyy-MM-dd}.%i.log for the active file
08:23:37,535 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - SizeAndTimeBasedFNATP class was renamed as SizeAndTimeBasedFileNamingAndTriggeringPolicy.
08:23:37,537 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - The date pattern is 'yyyy-MM-dd' from file name pattern './log//respect-server.%d{yyyy-MM-dd}.%i.log'.
08:23:37,537 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - Roll-over at midnight.
08:23:37,538 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - Setting initial period to 2026-07-03T12:42:41.983Z
08:23:37,538 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - Direct use of either SizeAndTimeBasedFNATP or SizeAndTimeBasedFileNamingAndTriggeringPolicy 
08:23:37,538 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - is deprecated. Please use SizeAndTimeBasedRollingPolicy instead.
08:23:37,538 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - For more information see https://logback.qos.ch/manual/appenders.html#SizeAndTimeBasedRollingPolicy
08:23:37,541 |-INFO in ch.qos.logback.core.model.processor.ImplicitModelHandler - Assuming default type [ch.qos.logback.classic.encoder.PatternLayoutEncoder] for [encoder] property
08:23:37,573 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Active log file name: ./log//respect-server.log
08:23:37,577 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Setting currentFileLength to 120676 for ./log/respect-server.log
08:23:37,577 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - File property is set to [./log//respect-server.log]
08:23:37,578 |-INFO in ch.qos.logback.classic.model.processor.RootLoggerModelHandler - Setting level of ROOT logger to TRACE
08:23:37,579 |-INFO in ch.qos.logback.core.model.processor.AppenderRefModelHandler - Attaching appender named [FILE] to Logger[ROOT]
08:23:37,579 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [org.eclipse.jetty] to INFO
08:23:37,579 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [io.netty] to INFO
08:23:37,579 |-INFO in ch.qos.logback.core.model.processor.DefaultProcessor@4b14918a - End of configuration.
08:23:37,580 |-INFO in ch.qos.logback.classic.joran.JoranConfigurator@6d1ef78d - Registering current configuration as safe fallback point
08:23:37,580 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - ch.qos.logback.classic.util.DefaultJoranConfigurator.configure() call lasted 175 milliseconds. ExecutionStatus=DO_NOT_INVOKE_NEXT_IF_ANY

]]></system-out>
  <system-err><![CDATA[Mockito is currently self-attaching to enable the inline-mock-maker. This will no longer work in future releases of the JDK. Please add Mockito as an agent to your build as described in Mockito's documentation: https://javadoc.io/doc/org.mockito/mockito-core/latest/org.mockito/org/mockito/Mockito.html#0.3
WARNING: A Java agent has been loaded dynamically (/home/jenkins/.gradle/caches/modules-2/files-2.1/net.bytebuddy/byte-buddy-agent/1.15.11/a38b16385e867f59a641330f0362ebe742788ed8/byte-buddy-agent-1.15.11.jar)
WARNING: If a serviceability tool is in use, please run with -XX:+EnableDynamicAgentLoading to hide this warning
WARNING: If a serviceability tool is not in use, please run with -Djdk.instrument.traceUsage for more information
WARNING: Dynamic loading of agents will be disallowed by default in a future release
]]></system-err>
</testsuite>
